Subject: [os2genau_digest] No. 1473
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 7 Apr 2007 00:00:56 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 06 April 2007
 Number  1473
**************************************************

Subjects for today
 
1  Re:  Config.SYS was Seamonkey and Flash : Mike O'Connor <mikeoc at internode.on dot net>
2  Re:  Seamonkey and Flash : Ed Durrant <edurrant at bigpond dot net dot au>
3  Re:  Seamonkey and Flash : Ed Durrant <edurrant at bigpond dot net dot au>
4  Re:  Seamonkey and Flash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
5  Re:  Seamonkey and Flash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
6  Re:  Seamonkey and Flash : Ed Durrant <edurrant at bigpond dot net dot au>
7  Re:  Seamonkey and Flash : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>

**= Email   1 ==========================**

Date:  Fri, 06 Apr 2007 00:17:18 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Config.SYS was Seamonkey and Flash

Kris Steenhaut wrote:
> John Angelico ha scritto:
>> On Thu, 05 Apr 2007 12:21:43 +0200, Kris Steenhaut wrote:  
>>> SET NSPR_OS2_NO_ HIRES_TIMER=1 
>>
>> Hmm, Kris
>>
>> I can't find anything about this Config entry in the CONFIG.SYS
>> documentation project.
>>
>> Can you tell us more about it, please?  
> Have to admit I'll have to look again myself, as I don't recall very 
> well. I think the advise was given to me by Scitech support four years 
> ago (or so) in order to have more stability (or lesser instability) in 
> the browser.
>
> By means of the entry the high resolution timer (whatever that may be) 
> is disabled. Yes it's  a bit awkward.
>
Hi Kris, John,

As there is no mention of it whatsoever in the current [latest 3.1.8] 
edition of SNAP, either in readme.txt or the snapos2.pdf, I think that 
it's now redundant - I never had to use it myself.

Regards,
Mike
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Fri, 06 Apr 2007 07:34:46 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Seamonkey and Flash

Kris Steenhaut wrote:
> Ed Durrant ha scritto:
>>>
>> In answer to the last question, because I have searched each drive 
>> for flashwin.dll and deleted them all.
>>
> I'm afraid you are on the wrong track. flashwin.dll is not a Tb/FF file.
>> If we are saying it may be other FF / TB DLLs, I'll delete the FF/TB 
>> directories as well
> Didn't you say that was already done? And if not, wo wonder it has 
> turned into a mess.
>> (I've already moved them to another drive so that they can no longer 
>> be in any paths).
>>
>
>> I installed the ipluginw.dll file through the XPI file - can you tell 
>> me where to get the correct version and  you say it should be updated 
>> ? Is that done by the flashinst.exe program or something else ??
>>
> This one:
>
> C:\Garnaal\components>dir ipl*
>
> De volume-label in station C is Krisje.
> Het volume-serienummer is 692F:B5B9.
> Directory van C:\Garnaal\components
>
> 21-01-07 17:43         60.936      0 a---  ipluginw.dll
> 21-01-07 17:43            283      0 a---  ipluginw.readme
>
>
> Incidentally, I saw you messed with the config entries too. I give you 
> with money-back guarantee the entries to have:
>
> SET MOZ_BIN=C:\Garnaal
> SET Mozilla_home=C:\Internet\Gebruikers
> SET MOZ_PLUGIN_PATH=C:\Internet\Instekers
> SET NSPR_OS2_NO_ HIRES_TIMER=1
>
>
> (In my case Seamonkey is in the \Garnaal directory.
>
> Incidentally 2, are you sure you have deleted the tb/ff profile 
> directories? If not, you are at risk to be stuck for ever.
>
>
Thanks for all the help Kris - I think we might have found the problem - 
here are my ipluginw files:

[F:\internet\seamonkey\components]dir iplug*

The volume label in drive F is COMMS.
The Volume Serial Number is 2990:2014.
Directory of F:\internet\seamonkey\components

15/09/05  18:21      60936           0  ipluginw.dll
21/01/07  17:36        283           0  ipluginw.readme
        2 file(s)      61219 bytes used
                   3585325 K bytes free

Although the readme appears to be the same as yours, the dll itself is 
FAR older, I suspect it might have been open when I did the last install.

I have also set the CONFIG.SYS settings as follows:

REM For Seamonkey
SET MOZILLA_HOME=F:\INTERNET
SET MOZ_BIN=F:\INTERNET\SEAMONKEY
SET MOZ_PLUGIN_PATH=F:\INTERNET\SEAMONKEY\PLUGINS
SET NSPR_OS2_NO_ HIRES_TIMER=1

I believe the Mozilla home is supposed to be above the individual 
components which explains I guess why the only remaining profile (others 
moved) is at

[F:\internet\mozilla\profiles]dir

The volume label in drive F is COMMS.
The Volume Serial Number is 2990:2014.
Directory of F:\internet\mozilla\profiles

28/01/07  22:13      <DIR>           0  .
28/01/07  22:13      <DIR>           0  ..
 6/11/05  15:19      <DIR>         495  Default User
        3 file(s)          0 bytes used
                   3585325 K bytes free

rather than being under the seamonkey directory.

I'll fix this all up and let you know how I go.

By the way, it's great being able to simply switch applications 
(browser/e-mail) again without the long delay of using the separate 
products. Looks like Seamonkey is a good way to go, if we can get all 
required plugins and extensions that worked on FF to work on SM.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Fri, 06 Apr 2007 07:51:53 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Seamonkey and Flash

Ed Durrant wrote:
> Kris Steenhaut wrote:
>> Ed Durrant ha scritto:
>>>>
>>> In answer to the last question, because I have searched each drive 
>>> for flashwin.dll and deleted them all.
>>>
>> I'm afraid you are on the wrong track. flashwin.dll is not a Tb/FF file.
>>> If we are saying it may be other FF / TB DLLs, I'll delete the FF/TB 
>>> directories as well
>> Didn't you say that was already done? And if not, wo wonder it has 
>> turned into a mess.
>>> (I've already moved them to another drive so that they can no longer 
>>> be in any paths).
>>>
>>
>>> I installed the ipluginw.dll file through the XPI file - can you 
>>> tell me where to get the correct version and  you say it should be 
>>> updated ? Is that done by the flashinst.exe program or something 
>>> else ??
>>>
>> This one:
>>
>> C:\Garnaal\components>dir ipl*
>>
>> De volume-label in station C is Krisje.
>> Het volume-serienummer is 692F:B5B9.
>> Directory van C:\Garnaal\components
>>
>> 21-01-07 17:43         60.936      0 a---  ipluginw.dll
>> 21-01-07 17:43            283      0 a---  ipluginw.readme
>>
>>
>> Incidentally, I saw you messed with the config entries too. I give 
>> you with money-back guarantee the entries to have:
>>
>> SET MOZ_BIN=C:\Garnaal
>> SET Mozilla_home=C:\Internet\Gebruikers
>> SET MOZ_PLUGIN_PATH=C:\Internet\Instekers
>> SET NSPR_OS2_NO_ HIRES_TIMER=1
>>
>>
>> (In my case Seamonkey is in the \Garnaal directory.
>>
>> Incidentally 2, are you sure you have deleted the tb/ff profile 
>> directories? If not, you are at risk to be stuck for ever.
>>
>>
> Thanks for all the help Kris - I think we might have found the problem 
> - here are my ipluginw files:
>
> [F:\internet\seamonkey\components]dir iplug*
>
> The volume label in drive F is COMMS.
> The Volume Serial Number is 2990:2014.
> Directory of F:\internet\seamonkey\components
>
> 15/09/05  18:21      60936           0  ipluginw.dll
> 21/01/07  17:36        283           0  ipluginw.readme
>        2 file(s)      61219 bytes used
>                   3585325 K bytes free
>
> Although the readme appears to be the same as yours, the dll itself is 
> FAR older, I suspect it might have been open when I did the last install.
>
> I have also set the CONFIG.SYS settings as follows:
>
> REM For Seamonkey
> SET MOZILLA_HOME=F:\INTERNET
> SET MOZ_BIN=F:\INTERNET\SEAMONKEY
> SET MOZ_PLUGIN_PATH=F:\INTERNET\SEAMONKEY\PLUGINS
> SET NSPR_OS2_NO_ HIRES_TIMER=1
>
> I believe the Mozilla home is supposed to be above the individual 
> components which explains I guess why the only remaining profile 
> (others moved) is at
>
> [F:\internet\mozilla\profiles]dir
>
> The volume label in drive F is COMMS.
> The Volume Serial Number is 2990:2014.
> Directory of F:\internet\mozilla\profiles
>
> 28/01/07  22:13      <DIR>           0  .
> 28/01/07  22:13      <DIR>           0  ..
> 6/11/05  15:19      <DIR>         495  Default User
>        3 file(s)          0 bytes used
>                   3585325 K bytes free
>
>
> rather than being under the seamonkey directory.
>
> I'll fix this all up and let you know how I go.
>
> By the way, it's great being able to simply switch applications 
> (browser/e-mail) again without the long delay of using the separate 
> products. Looks like Seamonkey is a good way to go, if we can get all 
> required plugins and extensions that worked on FF to work on SM.
>
> Cheers/2
>
> Ed.
>
>
 
>
> 

>
Further to the info above.

I have found why the install fails - one has to execute the 
flashinst.exe from the command line while in the plugins directory - 
double clicking from the Drives GUI causes the addressing exception 
every time.

So now I have a clean install, unfortunately when I go to (for example) 
youtube - the browaer aborts with the following in the except.log file 
in the plugins directory.

Fri Apr  6 07:46:18 2007
---[Exception Information]------------
   Access Violation (hardware generated,portable,fatal)
   Read Access at address 325f4c48h
   Exception Address = 1773d5f3 <FLASHWIN> (#4041) obj #0:0017d5f3
   Thread:  Ordinal TID: 66, TID: 1, Priority: 0200h
   Process: PID: 80, Parent: 22, Status: 16
   SS:ESP=0053:0016e6dc  EFLAGS=00012246
   CS:EIP=005b:1773d5f3  EBP   =325f4c48
   EAX=0296fd70 EBX=0296fca0 ESI=00000000
   ECX=00000000 EDX=00000000 EDI=0296f5f4
   DS=0053      ES=00000053  FS=15df     GS=0000
---[End Of Exception Information]-----

This is using the latest ipluginw.dll that I can find.

Next step is to delete the moved-to-another-drive FF and TB directories 
to make 110% sure there is no way the DLL's from those versions are 
interupting operations.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Fri, 06 Apr 2007 01:07:37 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Seamonkey and Flash

Ed Durrant ha scritto:
>>
> Thanks for all the help Kris - I think we might have found the problem 
> - here are my ipluginw files:
>
I doubt it. Sizes are the same and we know you can't relay on the date 
(I'm always  backing up trough my litlle local network).
>
> REM For Seamonkey
> SET MOZILLA_HOME=F:\INTERNET
>

So you are putting the user files nested in the program tree. Very bad 
an idea but it's your take of course.

> I believe the Mozilla home is supposed to be above the individual

You have that completely wrong.

Rule nr 1 is: keep the user files out of the program tree. As you can 
see in my entries, pasting them again:

SET MOZ_BIN=C:\Garnaal
SET Mozilla_home=C:\Internet\Gebruikers
SET MOZ_PLUGIN_PATH=C:\Internet\Instekers

(as I told before, the SM program tree resides in C:\Garnaal

C:\Garnaal>dir s*

De volume-label in station C is Krisje.
Het volume-serienummer is 692F:B5B9.
Directory van C:\Garnaal

17-02-07 11:51          <DIR>      0 ----  searchplugins
21-01-07  7:31         86.413      0 a---  seamonkey.exe
20-01-07 13:41         73.059      0 a---  smime3.dll
20-01-07 13:41            476      0 a---  softokn3.chk
20-01-07 13:40        172.763      0 a---  softokn3.dll
20-01-07 13:40         77.730      0 a---  ssl3.dll

etc... etc...

That way I can (as everybody should be able to) delete C:\Garnaal in one 
go while keeping all of the user files, settings, bookmarks etc...

> components which explains I guess why the only remaining profile 
> (others moved) is at
>

> [F:\internet\mozilla\profiles]dir
>
> The volume label in drive F is COMMS.
> The Volume Serial Number is 2990:2014.
> Directory of F:\internet\mozilla\profiles
>
> 28/01/07  22:13      <DIR>           0  .
> 28/01/07  22:13      <DIR>           0  ..
> 6/11/05  15:19      <DIR>         495  Default User
>        3 file(s)          0 bytes used
>                   3585325 K bytes free
>
To make the burden easy imho it's mandatory to create a propriatary 
name, such as:

De volume-label in station C is Krisje.
Het volume-serienummer is 692F:B5B9.
Directory van C:\Internet\Gebruikers

 6-04-07  0:38          <DIR>    365 a---  Krisje

But remember, your _REAL_ profile is the file prefs.js, not the 
directory name. Meaning, if you want to create a profile "Durrant", a 
directory "Durrant"  will be created one level lower in the directory 
pointed by "SET Mozilla_home=", for example
C:\Internet\Durrant, and you prefs.js file will be in the directory 
C:\Internet\Durrant
>

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 06 Apr 2007 01:11:49 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Seamonkey and Flash

Ed Durrant ha scritto:
> So now I have a clean install, unfortunately when I go to (for 
> example) youtube - the browaer aborts with the following in the 
> except.log file in the plugins directory.
>
Youtube is a dog anyway...

> Fri Apr  6 07:46:18 2007
> ---[Exception Information]------------
>   Access Violation (hardware generated,portable,fatal)
>   Read Access at address 325f4c48h
>   Exception Address = 1773d5f3 <FLASHWIN> (#4041) obj #0:0017d5f3
>   Thread:  Ordinal TID: 66, TID: 1, Priority: 0200h
>   Process: PID: 80, Parent: 22, Status: 16
>   SS:ESP=0053:0016e6dc  EFLAGS=00012246
>   CS:EIP=005b:1773d5f3  EBP   =325f4c48
>   EAX=0296fd70 EBX=0296fca0 ESI=00000000
>   ECX=00000000 EDX=00000000 EDI=0296f5f4
>   DS=0053      ES=00000053  FS=15df     GS=0000
> ---[End Of Exception Information]-----
>
> This is using the latest ipluginw.dll that I can find.
>
Your ipluginw.dll is OK, so you do have a dll conflict at another level.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Fri, 06 Apr 2007 20:44:36 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Seamonkey and Flash

Kris Steenhaut wrote:
> Ed Durrant ha scritto:
>> So now I have a clean install, unfortunately when I go to (for 
>> example) youtube - the browaer aborts with the following in the 
>> except.log file in the plugins directory.
>>
> Youtube is a dog anyway...
>
>> Fri Apr  6 07:46:18 2007
>> ---[Exception Information]------------
>>   Access Violation (hardware generated,portable,fatal)
>>   Read Access at address 325f4c48h
>>   Exception Address = 1773d5f3 <FLASHWIN> (#4041) obj #0:0017d5f3
>>   Thread:  Ordinal TID: 66, TID: 1, Priority: 0200h
>>   Process: PID: 80, Parent: 22, Status: 16
>>   SS:ESP=0053:0016e6dc  EFLAGS=00012246
>>   CS:EIP=005b:1773d5f3  EBP   =325f4c48
>>   EAX=0296fd70 EBX=0296fca0 ESI=00000000
>>   ECX=00000000 EDX=00000000 EDI=0296f5f4
>>   DS=0053      ES=00000053  FS=15df     GS=0000
>> ---[End Of Exception Information]-----
>>
>> This is using the latest ipluginw.dll that I can find.
>>
> Your ipluginw.dll is OK, so you do have a dll conflict at another level.
>
>
I have now completely wiped all traces of FF, SM and TB from my PC. 
Re-installed Seamonkey from scratch. Re-installed the IPLUGINW XPI, re 
install flash and when I go to http://www.ecomstation dot com - the browser 
closes and leave the usual failure message in the plugins directory.

Fri Apr  6 20:40:52 2007
---[Exception Information]------------
   Access Violation (hardware generated,portable,fatal)
   Read Access at address 325f4c48h
   Exception Address = 1788d5f3 <FLASHWIN> (#3792) obj #0:0017d5f3
   Thread:  Ordinal TID: 57, TID: 1, Priority: 0200h
   Process: PID: 76, Parent: 22, Status: 16
   SS:ESP=0053:0016e6dc  EFLAGS=00012246
   CS:EIP=005b:1788d5f3  EBP   =325f4c48
   EAX=0297fd70 EBX=0297fca0 ESI=00000000
   ECX=00000000 EDX=00000000 EDI=0297f5f4
   DS=0053      ES=00000053  FS=15af     GS=0000
---[End Of Exception Information]-----

I'm getting to think that there must be something corrupt in os2.ini 
causing this issue.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Fri, 06 Apr 2007 13:37:57 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  Seamonkey and Flash

Ed Durrant ha scritto:
>>>
>>> This is using the latest ipluginw.dll that I can find.
>>>
>> Your ipluginw.dll is OK, so you do have a dll conflict at another level.
>>
>>
> I have now completely wiped all traces of FF, SM and TB from my PC. 
Hope so.
> Re-installed Seamonkey from scratch. Re-installed the IPLUGINW XPI, re 
> install flash and when I go to http://www.ecomstation dot com - the 
> browser closes and leave the usual failure message in the plugins 
> directory.
>
> Fri Apr  6 20:40:52 2007
> ---[Exception Information]------------
>   Access Violation (hardware generated,portable,fatal)
>   Read Access at address 325f4c48h
>   Exception Address = 1788d5f3 <FLASHWIN> (#3792) obj #0:0017d5f3
>   
http://www.ecomstation dot com doesn't use (of course) flash at all.

Now tell me, where does the entry:

SET MOZ_PLUGIN_PATH=

point to?

If there is no such entry, plugins are supposed to be in the \plugins 
directory of course.

Suggest you remove all plugin files (after a backup) and reboot.

With no plugin files at all there shouldn't be any problem. If the 
problem persist, then we will be absolutely sure the FF/TB/SM and plugin 
dll files are scattered all over your libpath.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------